# module ActionDispatch::Session::Compatibility

### Public Class Methods

new(app, options = {}) click to toggle source
Calls superclass method

    # File lib/action_dispatch/middleware/session/abstract_store.rb, line 26
    def initialize(app, options = {})
      options[:key] ||= '_session_id'
      # FIXME Rack's secret is not being used
      options[:secret] ||= SecureRandom.hex(30)
      super
    end

### Public Instance Methods

generate_sid() click to toggle source

    # File lib/action_dispatch/middleware/session/abstract_store.rb, line 33
    def generate_sid
      sid = SecureRandom.hex(16)
      sid.encode!('UTF-8') if sid.respond_to?(:encode!)
      sid
    end

### Protected Instance Methods

initialize_sid() click to toggle source

    # File lib/action_dispatch/middleware/session/abstract_store.rb, line 41
    def initialize_sid
      @default_options.delete(:sidbits)
      @default_options.delete(:secure_random)
    end